Subject: [lmap] FW: Stephen Farrell's COMMENT on draft-ietf-lmap-use-cases-05: (with COMMENT)

From: <[email-masked]>
Date: Mon, 15 Dec 2014 15:53:47 +0000

This may be worth discussing on the interim later today
Phil

This is a discussion during the iesg review
---

On 15/12/14 14:21, [email-masked] wrote:
> Earlier, Stephen wrote:
>> - section 6: I'm wondering if it's really wise to include both 
>> measurement and troubleshooting capabilities in the same thing. I see 
>> the attraction but the latter may have more onerous security 
>> requirements that would tend not to be met by implementations of the 
>> former.
> 
> [phil] would it help to add something like this (in the new sub-bullet 
> about the network operator's perspective): Referring to the sub use 
> cases described in Section 3, using measurements for 'identifying, 
> isolating and fixing network problems' may raise more onerous security 
> requirements than using measurements for 'understanding the quality 
> experienced by customers' - since the former will directly lead to 
> changes in the operation of the network.

I don't think that really does help that much.

I just think it's an error to conflate measurement and troubleshooting/repairing a n/w. And I don't recall that the latter is covered in the wg charter. So if I'm still on the IESG when LMAP protocol docs start coming by and if those protocols allow for changing the n/w as opposed to just measuring it, then I'll likely be discussing those features and asking what they have to do with measurement and this wg's charter. Or if the wg really really want to also cover troubleshooting/repairing the n/w then I think you'd be wise to try re-charter so as to establish that there is an IETF consensus for that being done here.

For this document, I'd prefer if you said that repairing the n/w is just plain out of scope of lmap myself. The more I think about this, the less and less I like the idea that network repair be a wart on the side of network measurement.

Cheers,
S.